Skip to main content
Back to API List Used to get data from Table View.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/views/{{viewName}}/query?sys_limit={{limit_value}}&sys_offset={{offset_value}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
App AccessRead access to the Data Table from the Data Definition in DaaS.

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
viewNameThe table view from which to fetch data.
sys_limitThe maximum number of records to be fetched.
sys_offsetThe number of records to be skipped from the beginning of the results dataset.

Sample Request

curl -X POST 'https://{{host}}/api/public/views/{{viewName}}/query?sys_limit=4&sys_offset=0' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "query":{
        "expressions": [
            {"field": "firstName", "operand": "=", "value": "Jane"},
            {"field": "lastName", "operand": "=", "value": "Doe"}
        ],
        "operator": "or"
      }
}'

Body Parameters

ParameterDescription
queryFilter criteria identifying the rows to be fetched. Accepts expressions (array of field/operand/value objects) and operator (and or or).

Sample Response

{
    "metaInfo": [
        {
            "name": "gender",
            "type": "string"
        },
        {
            "name": "lastName",
            "type": "string"
        }
    ],
    "queryResult": [
        {
            "age": "male",
            "last_name": "tony"
        }
    ]
}